{% extends 'base.html.twig' %}

{% block title %}Modifier mon profil{% endblock %}

{% block content %}
<div class="container-fluid my-4">
    <div class="row">
        <div class="col-12 col-lg-10 offset-lg-1">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                    <li class="breadcrumb-item"><a href="{{ path('app_profile') }}">Mon espace personnel</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Modifier mon profil</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h1>Modifier mon profil</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-12 col-lg-10 offset-lg-1">
            {{ form_start(userForm) }}
                <div class="form-group">
                    <label for="registration_form_email" class="required"><i class="fa fa-at"></i> Adresse e-mail</label>
                    {{ form_widget(userForm.email, {'attr': {'class': userForm.email.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                    <div class="invalid-feedback">
                        {{ form_errors(userForm.email) }}
                    </div>
                </div>

                <div class="form-group">
                    <label for="registration_form_firstName">Prénom</label>
                    {{ form_widget(userForm.firstName, {'attr': {'class': userForm.firstName.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                    <div class="invalid-feedback">
                        {{ form_errors(userForm.firstName) }}
                    </div>
                </div>

                <div class="form-group">
                    <label for="registration_form_lastName">Nom</label>
                    {{ form_widget(userForm.lastName, {'attr': {'class': userForm.lastName.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                    <div class="invalid-feedback">
                        {{ form_errors(userForm.lastName) }}
                    </div>
                </div>

                <div class="form-group">
                    <label for="registration_form_baseId"><i class="fa fa-id-badge"></i>  N° de licence FFCO</label>
                    {{ form_widget(userForm.baseId, {'attr': {'class': userForm.baseId.vars.errors|length > 0 ? 'form-control is-invalid' : 'form-control'}}) }}

                    <div class="invalid-feedback">
                        {{ form_errors(userForm.baseId) }}
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">Enregistrer les modifications</button>
            {{ form_end(userForm) }}
        </div>
    </div>
</div>
{% endblock %}